#include "MenuTextSk2_Player1Joystick.h"

InputSetting_Joystick* MenuTextSk2_Player1Joystick::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player1Joystick ? gameFunc->GetInputSetting_Player1Joystick() : nullptr;
}

SDL_GameControllerButtonBind* MenuTextSk2_Player1Joystick::GetBind(InputSetting_Joystick* setting)
{
	return &setting->op_skill_2;
}

std::weak_ptr<Entity> MenuTextSk2_Player1Joystick::GetPlayer(void* entityRes)
{
	return gameFunc->GetMyChar_Player1(entityRes);
}


std::shared_ptr<Entity> CreateMenuTextSk2_Player1Joystick()
{
	return std::make_shared<MenuTextSk2_Player1Joystick>();
}

